Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model
Interface OWLDescription

All Superinterfaces:
  Cloneable, OWLObject, Serializable

All Known Subinterfaces:
  OWLAnd, OWLBooleanDescription, OWLCardinalityRestriction, OWLClass, OWLDataAllRestriction, OWLDataCardinalityRestriction, OWLDataQuantifiedRestriction, OWLDataRestriction, OWLDataSomeRestriction, OWLDataValueRestriction, OWLEnumeration, OWLFrame, OWLNaryBooleanDescription, OWLNot, OWLObjectAllRestriction, OWLObjectCardinalityRestriction, OWLObjectQuantifiedRestriction, OWLObjectRestriction, OWLObjectSomeRestriction, OWLObjectValueRestriction, OWLOr, OWLRestriction

All Known Implementing Classes:
  OWLAndImpl, OWLClassImpl, OWLDataAllRestrictionImpl, OWLDataCardinalityRestrictionImpl, OWLDataQuantifiedRestrictionImpl, OWLDataRestrictionImpl, OWLDataSomeRestrictionImpl, OWLDataValueRestrictionImpl, OWLEnumerationImpl, OWLFrameImpl, OWLNaryBooleanDescriptionImpl, OWLNotImpl, OWLObjectAllRestrictionImpl, OWLObjectCardinalityRestrictionImpl, OWLObjectQuantifiedRestrictionImpl, OWLObjectRestrictionImpl, OWLObjectSomeRestrictionImpl, OWLObjectValueRestrictionImpl, OWLOrImpl

public interface OWLDescription
extends OWLObject

An abstract interface encompassing various description types -- boolean expressions, restrictions, enumerations etc.

Version:
  $Id: OWLDescription.java,v 1.1.1.1 2003/10/14 17:10:08 sean_bechhofer Exp $

Method Summary
`void` | `accept(OWLDescriptionVisitor visitor)` Accept a visit from a visitor

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`accept, clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Method Detail

### accept

    public void accept(OWLDescriptionVisitor visitor)
                throws OWLException

  Accept a visit from a visitor

    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb